# 站长手册 - 由FileSite.io的导航站皮肤WebDirectory搭建

![Filesite.io - Machete](./machete_icon.png)


每位站长也许都怀揣梦想，想要通过一己之力为大家提供便利，
与此同时还能赚到一份不菲的收入。

**站长手册**也有一个梦想，
希望为那些从零开始的朋友提供一种指引，
也许它适合你，也许它不是那么适合你，
没关系，仔细看一看，验证下本站列出来的网站，
哪怕其中有一个在你的站长之路上帮你开阔了视野、提升了能力、增加了收入，
那我就心满意足了。


## 为什么做导航网站？

互联网是一个信息的海洋，里面有许许多多等待我们去寻找的“**珠宝**”，
它们是能帮大家提供各种价值的网站、软件、小插件等，
而导航网站就像是能收纳很多“珠宝”的宝盒，
我们用它来给各式“珠宝”分类存放，
便于我们收藏、管理这些“珠宝”。

导航网站是一种**信息的结构化展示**，
而我们的大脑天然比较擅长处理结构化的信息，
就像我们生活中的收纳盒、工具箱，
每个人根据自己的喜好、习惯把常用的小东西归类、统一存放，
日后寻找、使用的时候会非常的方便。


## 本站源码下载

下载本站源码，只要有nginx和php-fpm就可以搭建自己的导航网站了。

用git下载：
```
git clone https://git.filesite.io/filesite/machete.git
```

或下载zip压缩包（[点我直接下载](https://git.filesite.io/filesite/machete/archive/master.zip)）：
```
https://git.filesite.io/filesite/machete/archive/master.zip
```

本站网址快捷方式打包下载：
* [navs_20220521.tar.gz](/navs_20220521.tar.gz)

本地测试，可下载快捷方式后解压放到目录``/www/navs/``测试效果。


从dockerhub下载镜像：
```
docker pull filesite/machete
```
更多使用说明见machete源码README.md。


## 使用方法

下载后修改配置文件``config/app.php``，指定内容目录和皮肤：
```
'content_directory' => 'navs/',         //内容存放目录
'theme' => 'webdirectory',              //皮肤名称，导航网站选webdirectory
```

在``www/navs/``目录里上传你收藏的网站快捷方式即可，最多支持 2 级目录，其中一级目录会生成左侧菜单。

.url网站快捷方式文件内容格式如下：
```
[InternetShortcut]
URL=https://www.google.com/
```

几个重要文件及其说明如下：

| 文件名 | 用途 |
| ---- | ---- |
| Readme.md | 网页底部网站介绍内容 |
| Readme_sort.txt | 一级目录菜单排序说明 |
| Readme_contact.txt | 右上角悬浮菜单里的“联系我”内容 |
